Operations
Run hardware test
Starts a non-destructive hardware test on the service and returns the created operation, which continues after the response.
Autorisierung
- Authorizationstringheadererforderlich
Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.
Erforderliche Berechtigung: organization.baremetal.deploy
Pfadparameter
- idstring<uuid>erforderlich
Body
application/json- isCpuIncludedbooleanerforderlich
- isMemoryIncludedbooleanerforderlich
- isDiskIncludedbooleanerforderlich
- isSmartIncludedbooleanerforderlich
- cpuDurationSecondsinteger<int32> | null
- memoryDurationSecondsinteger<int32> | null
- diskDurationSecondsinteger<int32> | null
- cpuWorkersinteger<int32> | null
- memoryPercentinteger<int32> | null
- diskBlockSizestring | null
- diskIoDepthinteger<int32> | null
Antwort
201 · application/jsonCreated
- successbooleanerforderlich
- dataobject | nullerforderlich